Skip to main content
GET
/
api
/
v2
/
accounts
/
analytics
/
daily
Get daily account analytics
curl --request GET \
  --url https://api.instantly.ai/api/v2/accounts/analytics/daily \
  --header 'Authorization: Bearer <token>'
[
  {
    "date": "2024-01-15",
    "email_account": "user@example.com",
    "sent": 150,
    "bounced": 3,
    "contacted": 120,
    "new_leads_contacted": 50,
    "opened": 99,
    "unique_opened": 60,
    "replies": 8,
    "unique_replies": 7,
    "replies_automatic": 2,
    "unique_replies_automatic": 1,
    "clicks": 30,
    "unique_clicks": 20
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_date
string

Start date for the analytics period (optional). If not provided, returns data for the last 30 days.

Example:

"2024-01-01"

end_date
string

End date for the analytics period (optional). If not provided, defaults to current date.

Example:

"2024-01-31"

emails
string[]

Filter by specific email accounts (optional). If not provided, returns data for all accounts in your workspace.

Response

Default Response

date
string
required

The date of the analytics entry, in YYYY-MM-DD format

Example:

"2024-01-15"

email_account
string
required

The email account that sent the emails

Example:

"user@example.com"

sent
integer
required

The total number of campaign emails sent on this date by this account, including emails for subsequences

Example:

150

bounced
integer
required

The number of emails that bounced on this date for this account for campaigns - including subsequences

Example:

3

contacted
integer
required

The total number of unique contacts who received an email on this date from this account

Example:

120

new_leads_contacted
integer
required

The total number of new leads contacted on this date from this account

Example:

50

opened
integer
required

The total number of opened emails on this date for this account

Example:

99

unique_opened
integer
required

The total number of unique opened emails on this date for this account

Example:

60

replies
integer
required

The total number of replies received on this date for this account

Example:

8

unique_replies
integer
required

The total number of unique replies received on this date for this account

Example:

7

replies_automatic
integer
required

The total number of automatic replies detected on this date for this account

Example:

2

unique_replies_automatic
integer
required

The total number of unique automatic replies detected on this date for this account

Example:

1

clicks
integer
required

The total number of links clicked on this date for this account

Example:

30

unique_clicks
integer
required

The total number of unique links clicked on this date for this account. Unique meaning from unique leads, not unique links

Example:

20